This resource defines a group of individuals or clinicians that form an organization of some kind. An organization record may consist of multiple organizations, like an umbrella healthcare organization with multiple physical locations.
You can review, retrieve, create, update, or delete organization records. The create and update options are available for organizations within the Carequality Interoperability Network as well.
$organization-update
Update an existing organization, its location, or order for its services in your connection’s system.
cURL request example
Request Body Schema
- resourceTyperequired, string
Identifies the type of the resource
Value:Bundle - typerequired, string
Identifies this bundle as a message
Value:message - entryrequired, Array of messageHeader, organization, location, serviceRequest or Other
An entry in the bundle containing a FHIR resource
- resourcerequired, object
Additional metadata about the message including the event
- resourceTyperequired, string
Identifies the type of the resource
Value:MessageHeader - sourcerequired, object
Information about the sender of the message and the Bundle content.
- endpointrequired, string
Identifies the routing target to send acknowledgements to.
- namestring
Human-readable name for the source system.
- focusrequired, Array of object
This describes the focal target resource of the message from which the remainder of the content is referenced from
Must be a resource of type
Organization.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- eventUrirequired, string
This describes the message being communicated
Value:https://fhir.redoxengine.com/EventDefinition/OrganizationUpdate
- timestampstring
The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.
Bundle sent as part of an OrganizationUpdate message